# Uses of Class
org.jfree.chart3d.plot.XYZPlot

Packages that use XYZPlot
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.renderer.xyz
Renderers that can be used with the `XYZPlot` class.

## Uses of XYZPlot in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis with parameters of type XYZPlot
Modifier and Type
Method
Description
`void`
AbstractValueAxis3D.`configureAsXAxis(XYZPlot plot)`
Configures the axis to be used as the x-axis for the specified plot.
`void`
ValueAxis3D.`configureAsXAxis(XYZPlot plot)`
Configure the axis as an x-axis for the specified plot.
`void`
AbstractValueAxis3D.`configureAsYAxis(XYZPlot plot)`
Configures the axis to be used as the y-axis for the specified plot.
`void`
ValueAxis3D.`configureAsYAxis(XYZPlot plot)`
Configure the axis as a y-axis for the specified plot.
`void`
AbstractValueAxis3D.`configureAsZAxis(XYZPlot plot)`
Configures the axis to be used as the z-axis for the specified plot.
`void`
ValueAxis3D.`configureAsZAxis(XYZPlot plot)`
Configure the axis as an z-axis for the specified plot.

## Uses of XYZPlot in org.jfree.chart3d.renderer.xyz

Methods in org.jfree.chart3d.renderer.xyz that return XYZPlot
Modifier and Type
Method
Description
`XYZPlot`
AbstractXYZRenderer.`getPlot()`
Returns the plot that the renderer is assigned to, if any.
`XYZPlot`
XYZRenderer.`getPlot()`
Returns the plot that this renderer is assigned to.
Methods in org.jfree.chart3d.renderer.xyz with parameters of type XYZPlot
Modifier and Type
Method
Description
`void`
AbstractXYZRenderer.`composeAll(XYZPlot plot, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Adds objects to the `world` to represent all the data items that this renderer is responsible for.
`void`
SurfaceRenderer.`composeAll(XYZPlot plot, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Composes the entire representation of the function in the supplied `world`.
`void`
XYZRenderer.`composeAll(XYZPlot plot, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Composes all the 3D objects that this renderer needs to present.
`void`
AbstractXYZRenderer.`setPlot(XYZPlot plot)`
Sets the plot that the renderer is assigned to.
`void`
XYZRenderer.`setPlot(XYZPlot plot)`
Sets the plot that the renderer is assigned to.